# $Revision: 1.12 $, $Date: 2012/01/27 08:26:29 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Tokenizer
Summary:	Text::Tokenizer - Perl extension for tokenizing text(config) files
Summary(pl.UTF-8):	Text::Tokenizer - rozszerzenie Perla do rozkładania plików tekstowych
Name:		perl-Text-Tokenizer
Version:	0.4.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	51ca83879abbcf223ec0940f037eb51f
URL:		http://search.cpan.org/dist/Text-Tokenizer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Tokenizer is very fast lexical analyzer, that can be used to
process input text from file or buffer to basic tokens.

%description -l pl.UTF-8
Text::Tokenizer jest bardzo szybkim analizatorem leksykalnym, który
może być użyty do przetwarzania tokenów z pliku lub bufora.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Tokenizer
%{perl_vendorarch}/auto/Text/Tokenizer/*.bs
%{perl_vendorarch}/auto/Text/Tokenizer/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Tokenizer/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Tokenizer.spec,v $
Revision 1.12  2012/01/27 08:26:29  zbyniu
- up to 0.4.6

Revision 1.11  2012/01/15 19:38:38  zbyniu
- up to 0.4.5

Revision 1.10  2010/06/06 08:43:33  arekm
- release 2

Revision 1.9  2009/10/16 07:25:22  amateja
- updated to 0.4.2

Revision 1.8  2008/02/10 12:21:42  arekm
- rel 3

Revision 1.7  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.4  2007/02/07 14:51:49  glen
-  generic URL, package autosplit.ix; rel 2

Revision 1.3  2006/10/21 17:26:29  ankry
- ver. 0.4.0

Revision 1.2  2005/12/15 21:33:19  qboosh
- cosmetics

Revision 1.1  2005/12/10 01:05:33  undefine
- initital
